Samdock

Aktivitäten

Aktivitäten wie Notizen, Anrufe und andere Zeitleisten-Einträge erstellen und verwalten.

Aktivitäten durchsuchen

GET
/api/activities/activities
AuthorizationBearer <token>

In: header

Query Parameters

limit*number
offset*number

Response Body

application/json

curl -X GET "https://samdock.app/api/activities/activities?limit=0&offset=0"
{
  "data": [
    {
      "_tenantID": "string",
      "_id": "string",
      "_personIDs": [
        "string"
      ],
      "_organizationIDs": [
        "string"
      ],
      "_dealID": "string",
      "_taskIDs": [
        "string"
      ],
      "_userID": "string",
      "data": {},
      "type": "string",
      "timestamp": 0,
      "createdAt": 0,
      "updatedAt": 0,
      "isLinkedEntityDeleted": true
    }
  ],
  "limit": 25,
  "offset": 0,
  "total": 100
}

Aktivität hinzufügen

POST
/api/activities/activities
AuthorizationBearer <token>

In: header

Request Body

application/json

_id*string

The ID of the activity

_userID*string

The related user

_personIDs?array<>

The related person IDs

_organizationIDs?array<>

The related organization IDs

_dealID?string

The related deal ID

_taskIDs?array<>

The related task IDs

data?object

Data of the activity

type?string

Type of activity

timestamp?number

Timestamp used as date to show activity in activity list

createdAt?number

Creation timestamp

updatedAt?number

Last update timestamp

Response Body

curl -X POST "https://samdock.app/api/activities/activities" \  -H "Content-Type: application/json" \  -d '{    "_id": "string",    "_userID": "string"  }'
Empty

Aktivitäten nach Personen-ID durchsuchen

GET
/api/activities/activities/persons/{personID}
AuthorizationBearer <token>

In: header

Path Parameters

personID*string

Response Body

application/json

curl -X GET "https://samdock.app/api/activities/activities/persons/string"
{
  "data": [
    {
      "_tenantID": "string",
      "_id": "string",
      "_personIDs": [
        "string"
      ],
      "_organizationIDs": [
        "string"
      ],
      "_dealID": "string",
      "_taskIDs": [
        "string"
      ],
      "_userID": "string",
      "data": {},
      "type": "string",
      "timestamp": 0,
      "createdAt": 0,
      "updatedAt": 0,
      "isLinkedEntityDeleted": true
    }
  ],
  "limit": 25,
  "offset": 0,
  "total": 100
}

Aktivitäten nach Organisations-ID durchsuchen

GET
/api/activities/activities/organizations/{organizationID}
AuthorizationBearer <token>

In: header

Path Parameters

organizationID*string

Response Body

application/json

curl -X GET "https://samdock.app/api/activities/activities/organizations/string"
{
  "data": [
    {
      "_tenantID": "string",
      "_id": "string",
      "_personIDs": [
        "string"
      ],
      "_organizationIDs": [
        "string"
      ],
      "_dealID": "string",
      "_taskIDs": [
        "string"
      ],
      "_userID": "string",
      "data": {},
      "type": "string",
      "timestamp": 0,
      "createdAt": 0,
      "updatedAt": 0,
      "isLinkedEntityDeleted": true
    }
  ],
  "limit": 25,
  "offset": 0,
  "total": 100
}

Aktivität lesen

GET
/api/activities/activities/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://samdock.app/api/activities/activities/string"
{
  "_tenantID": "string",
  "_id": "string",
  "_personIDs": [
    "string"
  ],
  "_organizationIDs": [
    "string"
  ],
  "_dealID": "string",
  "_taskIDs": [
    "string"
  ],
  "_userID": "string",
  "data": {},
  "type": "string",
  "timestamp": 0,
  "createdAt": 0,
  "updatedAt": 0,
  "isLinkedEntityDeleted": true
}

Aktivität bearbeiten

PATCH
/api/activities/activities/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X PATCH "https://samdock.app/api/activities/activities/string"
Empty

Aktivität löschen

DELETE
/api/activities/activities/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

curl -X DELETE "https://samdock.app/api/activities/activities/string"
Empty